%define version 0.8.2
%define __libtoolize    /bin/true

Summary: 	WYSIWYG musical score editor and frontend for Lilypond
Name: 	 	denemo
Version: 	%{version}
Release: 	%mkrel 2
Source0: 	http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}%{?beta:%beta}.tar.gz
URL:     	http://www.denemo.org/
License: 	GPLv2+
Group:   	Sound
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	lilypond
Requires: 	TiMidity++
BuildRequires:	gtk2-devel
BuildRequires:	libxml2-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
BuildRequires:  cvs
BuildRequires:  aubio-devel
BuildRequires:  guile-devel >= 1.8.6
Requires:	libguile17 >= 1.8.6
Requires:	gtk+2.0 >= 2.16.1
Requires:	libgtk+2.0_0 >= 2.16.1

%description
Denemo is the GNU graphical musical score editor, and serves as a frontend
to Lilypond. Besides lilypond, it can also export music into ABC format.
as well as handling Csound score files playback and MIDI playback.

%prep
%setup -q -n %{name}-%{version}%{?beta:%beta}
#%patch0 -p1 -b .gettext

# regen everything because of patch
#ACLOCAL=aclocal-1.8 AUTOMAKE=automake-1.8 autoreconf --force --install

%build
%configure2_5x \
	--sysconfdir=%{_sysconfdir} \
	--enable-gtk2 \
	--with-plugins=analysis

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# remove unneeded files
rm -fr %{buildroot}/%_includedir
rm -f %{buildroot}%{_libdir}/%{name}/*.{a,la}

#menu

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%find_lang %name

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README*
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/fonts/truetype/%{name}/Denemo.ttf
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png






%changelog
* Sun May 25 2009 Texstar <texstar@gmail.com> 0.8.1-1pclos2009
- 0.8.1

* Wed May 07 2009 Texstar <texstar@gmail.com> 0.7.6-3pclos2009
- rebuild against updated libs

* Wed May 07 2009 Texstar <texstar@gmail.com>0.7.6-2pclos2009
- rebuild against updated libs

* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.6-1
- Rebuild for pclos2007
- 0.7.6


